低危 d-bus_project d-bus 释放后使用

CVE编号

CVE-2020-35512

利用情况

暂无

补丁情况

官方补丁

披露时间

2021-02-16
漏洞描述
A use-after-free flaw was found in D-Bus Development branch <= 1.13.16, dbus-1.12.x stable branch <= 1.12.18, and dbus-1.10.x and older branches <= 1.10.30 when a system has multiple usernames sharing the same UID. When a set of policy rules references these usernames, D-Bus may free some memory in the heap, which is still used by data structures necessary for the other usernames sharing the UID, possibly leading to a crash or other undefined behaviors
解决建议
建议您更新当前系统或软件至最新版,完成漏洞的修复。
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 d-bus_project d-bus 1.12.20 -
运行在以下环境
系统 debian_10 dbus * Up to
(excluding)
1.12.20-0+deb10u1
运行在以下环境
系统 debian_9 dbus * Up to
(excluding)
1.10.32-0+deb9u1
运行在以下环境
系统 opensuse_Leap_15.2 dbus * Up to
(excluding)
1.12.2-lp152.6.3.1
运行在以下环境
系统 opensuse_Leap_15.3 dbus * Up to
(excluding)
1-1.12.2-8.6.1
运行在以下环境
系统 suse_12_SP5 dbus * Up to
(excluding)
1-1.8.22-35.2
运行在以下环境
系统 ubuntu_16.04 dbus * Up to
(excluding)
1.10.6-1ubuntu3.6+esm1
运行在以下环境
系统 ubuntu_18.04 dbus * Up to
(excluding)
1.12.2-1ubuntu1.3
运行在以下环境
系统 ubuntu_20.04 dbus * Up to
(excluding)
1.12.16-2ubuntu2.2
运行在以下环境
系统 unionos_20 dbus * Up to
(excluding)
1.12.20-0+deb10u1+rebuild
阿里云评分
3.4
  • 攻击路径
    远程
  • 攻击复杂度
    容易
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-416 释放后使用
阿里云安全产品覆盖情况